(function ($) {
    "use strict";
    $(window).on('elementor/frontend/init', () => {
        const addHandler = ($element) => {
            // Smooth scrolling
            $('.scroll-features-heading').on('click', function(event) {
                var target = $(this.getAttribute('href'));
                if (target.length) {
                    event.preventDefault();
                    $('html, body').stop().animate({
                        scrollTop: target.offset().top
                    }, 1000);
                }
            });

            var navLinks = $('.scroll-features-title .scroll-features-title-item a');
            var sections = $('.scroll-features-content-item');

            $(window).scroll(function() {
                var fromTop = $(this).scrollTop() + 200;

                sections.each(function() {
                    var sectionTop = $(this).offset().top;
                    var sectionBottom = sectionTop + $(this).outerHeight();

                    if (fromTop >= sectionTop && fromTop <= sectionBottom) {
                        var id = $(this).attr('id');
                        navLinks.removeClass('active');
                        $('.scroll-features-title .scroll-features-title-item a[href="#' + id + '"]').addClass('active');
                    }
                });
            });
        };

        elementorFrontend.hooks.addAction('frontend/element_ready/rebuilto-scroll-features.default', addHandler);
        });
})(jQuery);
