(function ($) {
    "use strict";
    $(window).on('elementor/frontend/init', () => {
        elementorFrontend.hooks.addAction('frontend/element_ready/rebuilto-scroll-timeline.default', function ($scope) {
            ScrollTimeline($scope);
            $(window).on('resize', function () {
                ScrollTimeline($scope);
            });
        });
    });

    function ScrollTimeline($scope) {
        let timeline = $scope.find('.scroll-timeline'),
            viewHeight = $(window).height();
        if (timeline.length) {
            let timelinePositionTop = timeline.offset().top,
                timelinePositionBottom = timelinePositionTop + timeline.height();
            $(window).scroll(function () {
                if ($(this).scrollTop() > (timelinePositionTop - (viewHeight / 2)) && $(this).scrollTop() < (timelinePositionBottom - (viewHeight / 2))) {
                    $scope.find('.scroll-timeline .timeline-line').css(
                        'height', ($(this).scrollTop() - timelinePositionTop) + (viewHeight / 2)
                    );
                }
                if ($(this).scrollTop() <= (timelinePositionTop - (viewHeight / 2))) {
                    $scope.find('.scroll-timeline .timeline-line').css(
                        'height', 0
                    );
                }
                if ($(this).scrollTop() >= (timelinePositionBottom - (viewHeight / 2))) {
                    $scope.find('.scroll-timeline .timeline-line').css(
                        'height', timeline.height()
                    );
                }
                if ((timelinePositionTop - (viewHeight / 2)) <= $(this).scrollTop() <= (timelinePositionBottom - (viewHeight / 2))) {
                    $scope.find('.scroll-timeline .scroll-timeline-item').each(function (index, element) {
                        let position = $(this).offset().top - (viewHeight / 2) + ($(this).height() / 2);
                        if ($(window).scrollTop() >= position) {
                            $(this).addClass('timeline-active');
                        } else {
                            $(this).removeClass('timeline-active');
                        }
                    });

                }
            })
        }
    }
})(jQuery);

