(function ($) {
    "use strict";
    $(window).on('elementor/frontend/init', () => {
        elementorFrontend.hooks.addAction('frontend/element_ready/rebuilto-team-box.default', ($scope) => {
            var $slider = $scope.find('.swiper-team-popup'),
                $sliderEffect = $scope.find('.swiper-team-effect'),
                $teamEffect = $scope.find('.team-effect'),
                $teamItem = $scope.find('.elementor-teambox-item'),
                $teamPopup = $scope.find('.team-popup'),
                teamID = $teamPopup.attr('id');

            var asyncSwiper = elementorFrontend.utils.swiper;
            new asyncSwiper($slider, {
                spaceBetween: 10,
                pagination: {
                    el: ".swiper-pagination",
                    clickable: true,
                },
            }).then((newSwiperInstance) => {
                $teamItem.on('click', function (e) {
                    e.preventDefault();
                    var $that = $(this);
                    var goto = $that.data('goto');
                    newSwiperInstance.slideTo(goto);
                });
            });

            if($sliderEffect.length){
                new asyncSwiper($sliderEffect, {
                    spaceBetween: 0,
                    direction:'vertical',
                    effect: 'cube',
                }).then((newSwiperInstance) => {
                    $teamItem.on('mouseenter', function (e) {
                        e.preventDefault();
                        var $that = $(this);
                        var goto = $that.data('goto');
                        newSwiperInstance.slideTo(goto);
                        let top = $(this).position().top;
                        let height = $(this).height();
                        $teamEffect.css({
                            top: top + (height/2)
                        })
                    });
                });
            }

            $(document).ready(function () {
                $teamItem.magnificPopup({
                    type: 'inline',
                    items: {
                        src: '#' + teamID
                    },
                    removalDelay: 500,
                    closeBtnInside: true,
                    showCloseBtn: false,
                    callbacks: {
                        beforeOpen: function () {
                            this.st.mainClass = 'mfp-zoom-in team-popup-main mfp-fade';
                        }
                    },
                    midClick: true
                });
            });
        });
    });
})(jQuery);