<?php

if (!defined('ABSPATH')) {
    exit; // Exit if accessed directly.
}

use Elementor\Controls_Manager;


/**
 * Class Rebuilto_Elementor_Project
 */
class Rebuilto_Elementor_Project_Filter extends \Elementor\Widget_Base {

    public function get_name() {
        return 'rebuilto-projects-filter';
    }

    public function get_title() {
        return esc_html__('Rebuilto Project Filter', 'rebuilto');
    }

    /**
     * Get widget icon.
     *
     * Retrieve testimonial widget icon.
     *
     * @return string Widget icon.
     * @since  1.0.0
     * @access public
     *
     */
    public function get_icon() {
        return 'eicon-posts-grid';
    }

    public function get_categories() {
        return array('rebuilto-addons');
    }

    protected function register_controls() {
        $this->start_controls_section(
            'section_query',
            [
                'label' => esc_html__('Project Infomation', 'rebuilto'),
                'tab'   => Controls_Manager::TAB_CONTENT,
            ]
        );

        $this->end_controls_section();
    }


    protected function render() {
        $settings = $this->get_settings_for_display();
        ?>
        <div class="navigation-project">
            <?php
            $class = is_post_type_archive('rebuilto_project') ? 'active' : '';
            ?>
            <a class="<?php echo esc_attr($class); ?>" href="<?php echo esc_url(get_post_type_archive_link('rebuilto_project')); ?>"><?php echo esc_html__('All Projects', 'rebuilto'); ?></a>
            <?php
            $taxonomy = 'rebuilto_project_cat';
            $terms    = $terms = get_terms([
                'taxonomy'   => 'rebuilto_project_cat',
                'hide_empty' => false,
            ]);
            foreach ($terms as $term) {
                $item_class = is_tax($taxonomy, $term->slug) ? 'active' : '';
                ?>
                <a class="<?php echo esc_attr($item_class); ?>" href="<?php echo esc_url(get_term_link($term->slug, $taxonomy)) ?>"><?php echo esc_html($term->name); ?></a>
                <?php
            }
            ?>
        </div>
        <?php
    }
}

$widgets_manager->register(new Rebuilto_Elementor_Project_Filter());