<?php

if (!defined('ABSPATH')) {
    exit; // Exit if accessed directly.
}

use Elementor\Controls_Manager;


/**
 * Class Rebuilto_Elementor_Project
 */
class Rebuilto_Elementor_Project_Ifomation extends \Elementor\Widget_Base {

    public function get_name() {
        return 'rebuilto-projects-infomation';
    }

    public function get_title() {
        return esc_html__('Rebuilto Project Detail Infomation', 'rebuilto');
    }

    /**
     * Get widget icon.
     *
     * Retrieve testimonial widget icon.
     *
     * @return string Widget icon.
     * @since  1.0.0
     * @access public
     *
     */
    public function get_icon() {
        return 'eicon-posts-grid';
    }

    public function get_categories() {
        return array('rebuilto-addons');
    }

    protected function register_controls() {
        $this->start_controls_section(
            'section_query',
            [
                'label' => esc_html__('Project Infomation', 'rebuilto'),
                'tab'   => Controls_Manager::TAB_CONTENT,
            ]
        );

        $this->end_controls_section();
    }


    protected function render() {
        $settings = $this->get_settings_for_display();
        if (!is_singular('rebuilto_project')) {
            return;
        }
        ?>
        <div class="sinlge-project-meta">
            <?php
            $entries = get_post_meta(get_the_ID(), 'project_meta_repeat', true);
            if (is_array($entries)) {
                foreach ((array)$entries as $key => $entry) {
                    echo '<div class="meta-item">';
                    if (isset($entry['title'])) {
                        echo '<span class="title">' . esc_html($entry['title']) . '</span>';
                    }
                    if (isset($entry['description'])) {
                        echo '<span class="value">' . esc_html($entry['description']) . '</span>';
                    }
                    echo '</div>';
                }
            }
            ?>
        </div>
        <?php

    }
}

$widgets_manager->register(new Rebuilto_Elementor_Project_Ifomation());