<?php
get_header();

$options        = get_option('rebuilto_project_archive');
$col_desktop    = 2;
$col_tablet     = 2;
$col_mobile     = 1;
$gutter         = 30;
$style          = 'style-1';

$check_cats = isset($_GET['cats']) && !empty($_GET['cats']);

if ($options && is_array($options)) {
    $style          = isset($options['archive_style']) ? $options['archive_style'] : 'style-1';
    $col_desktop    = isset($options['columns_desktop']) ? $options['columns_desktop'] : 2;
    $col_tablet     = isset($options['columns_tablet']) ? $options['columns_tablet'] : 2;
    $col_mobile     = isset($options['columns_mobile']) ? $options['columns_mobile'] : 1;
    $gutter         = isset($options['gutter']) ? $options['gutter'] : 30;
}
echo '<div class="project-archive-' . esc_attr($style) . '">'
?>
    <div id="primary" class="content-area">
        <main id="main" class="site-main" role="main">
            <header class="page-header">
                <?php
                if (rebuilto_is_cmb2_activated()) {

                    if (isset($options['rebuilto_project-content']) && !empty($options['rebuilto_project-content'])) {
                        ?>
                        <div class="archive-description">
                            <?php echo rebuilto_parse_text_editor($options['rebuilto_project-content']); ?>
                        </div>
                        <?php
                    }

                } else {
                    the_archive_title('<h1 class="entry-title">', '</h1>');
                    the_archive_description('<p class="archive-description">', '</p>');
                }
                ?>
            </header>
            <div class="project-archive-content">
                <div class="archive-content-inner">
                    <?php
                    echo '<div style="--gutter-width: ' . esc_attr($gutter) . 'px;" class="d-grid grid-columns-desktop-' . esc_attr($col_desktop) . ' grid-columns-tablet-' . esc_attr($col_tablet) . ' grid-columns-' . esc_attr($col_mobile) . '">';
                    while (have_posts()) : the_post();
                        ?>
                        <div class="grid-item">
                            <?php get_template_part('template-parts/project/item-project', $style); ?>
                        </div>
                    <?php
                    endwhile;
                    echo '</div>';
                    rebuilto_paging_nav();
                    ?>
                </div>
            </div>
        </main><!-- #main -->
    </div><!-- #primary -->
<?php
echo '</div>';
get_footer();